<?php
$obj_tab_area=new cls_tab_sys_area();
$this_company_area=$obj_tab_area->get_select_area("company_area");
if(isset($get_act)&&$get_act=="reg"){
	if(!isset($get_reg_name)||$get_reg_name==""){
		$obj_msg->alert("注册用户名不能为空！");
		$obj_msg->on_history_back();
		exit;
	}
	if(!isset($get_reg_pwd)||$get_reg_pwd==""){
		$obj_msg->alert("注册用户密码不能为空！");
		$obj_msg->on_history_back();
		exit;
	}
	if(!isset($get_reg_repwd)||$get_reg_repwd==""){
		$obj_msg->alert("确认密码不能为空！");
		$obj_msg->on_history_back();
		exit;
	}
	if(isset($get_reg_email)&&$get_reg_email!=""){
		$str_x=chk_email($get_reg_email);
		if($str_x!=""){
			$obj_msg->alert($str_x);
			$obj_msg->on_history_back();
			exit;
		}
	}
	if(!isset($get_reg_repwd)||$get_reg_repwd==""){
		$obj_msg->alert("确认密码不能为空！");
		$obj_msg->on_history_back();
		exit;
	}
	if($get_reg_repwd!=$get_reg_pwd){
		$obj_msg->alert("两次输入密码不相等！");
		$obj_msg->on_history_back();
		exit;
	}
	if(isset($get_reg_code)&&isset($_SESSION["user_code_regin"])&&$get_reg_code!=$_SESSION["user_code_regin"]){
		$obj_msg->alert("输入验证码不正确！");
		$obj_msg->on_history_back();
		exit;
	}
	if(!isset($get_company_name)||$get_company_name==""){
		$obj_msg->alert("输入企业名称不能为空！");
		$obj_msg->on_history_back();
		exit;
	}
	if(!isset($get_company_linkname)||$get_company_linkname==""){
		$obj_msg->alert("输入企业联系人不能为空！");
		$obj_msg->on_history_back();
		exit;
	}
	if(!isset($get_company_tel)||$get_company_tel==""){
		$obj_msg->alert("输入企业联系电话不能为空！");
		$obj_msg->on_history_back();
		exit;
	}
	if(!isset($get_company_address)||$get_company_address==""){
		$obj_msg->alert("输入企业通讯地址不能为空！");
		$obj_msg->on_history_back();
		exit;
	}
	if(!isset($get_company_area)||$get_company_area==""){
		$obj_msg->alert("请选择企业所在地区！");
		$obj_msg->on_history_back();
		exit;
	}
	$obj_tab_user=new cls_tab_sys_user();
	$arr_fields=array();
	$arr_fields["user_name"]=$get_reg_name;
	$arr_fields["user_pwd"]=$get_reg_pwd;
	$arr_fields["user_email"]=$get_reg_email;
	$arr_fields["user_type"]="company";
	$arr_msg=$obj_tab_user->on_save($arr_fields);
	if($arr_msg["err"]!=""){
		$obj_msg->alert($arr_msg["err"]);
		$obj_msg->on_history_back();
		exit;
	}else{
		require_once(SYS_ROOT.'/cls_tab/tab.hr.company.php');
		$obj_tab_company=new cls_tab_hr_company();
		$arr_fields2=array();
		$arr_fields2["company_name"]=$get_company_name;
		if(isset($get_company_area)) $arr_fields2["company_area"]=$get_company_area;
		$arr_fields2["company_linkname"]=$get_company_linkname;
		$arr_fields2["company_tel"]=$get_company_tel;
		$arr_fields2["company_address"]=$get_company_address;
		$arr_fields2["company_user_id"]=$arr_msg["id"];
		$arr_msg=$obj_tab_company->on_save($arr_fields2);
		if($arr_msg["err"]!=""){
			$obj_msg->alert($arr_msg["err"]);
			$obj_msg->on_history_back();
			exit;
		}else{
			$arr_login_fields=array();
			$arr_login_fields["uname"]=$arr_fields["user_name"];
			$arr_login_fields["pwd"]=$get_reg_pwd;
			$arr_msg=$obj_ctl_user->on_login($arr_login_fields);
			if($arr_msg["err"]==""){
				go_url($web_url."/company.php");
			}else{
				$obj_msg->alert("注册成功，正在跳转登录页面...");
				$obj_msg->go_url($web_url."/company.php");
			}
		}
	}

}
?>